Foreman - Bug #4465

%pretrans failure during kickstart
02/26/2014 05:00 PM - Dan Radez

Status: Closed
Priority: Normal
Assignee:

Category: Packaging
Target version: 1.4.4
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

I'm trying to kickstart a machine with the foreman rpms already installed.
The install halts citing that foreman has failed to install.

| looked on the system at /mnt/sysimage/root/install.log and saw this error:
error: %pretrans(foreman-1.4.1-2.el6.noarch) scriptlet failed, exit status 127

I've not found any other error messages.

Related issues:
Related to Foreman - Bug #5482: Errror when doing an rpm based upgrade from 1... Resolved

04/29/2014

Associated revisions

Revision €639a808 - 03/12/2014 11:05 AM - Jason Montleon

Fixes #4465: remove pretrans section of foreman.spec

Revision ca9f8b4d - 03/27/2014 01:20 PM - Jason Montleon

Fixes #4465: remove pretrans section of foreman.spec

(cherry picked from commit €639a808461a40e1f830d594e970258a52bef516)

History

#1 - 02/27/2014 12:41 AM - Dan Radez

this link suggests that a shell may not be available at kickstart:
: raproject.org/wiki/Packaging:Guidelin riptl

and that %pretrans should be written in Lua:

http://www.rpm.org/wiki/PackagerDocs/RpmLua

#2 - 02/27/2014 02:47 AM - Anonymous

- Assignee set to Anonymous

#3 - 02/27/2014 09:16 PM - Anonymous

https://github.com/theforeman/foreman/pull/1261

#4 - 02/28/2014 08:51 AM - Dominic Cleal
- Status changed from New to Ready For Testing

- Target version set to 1.9.1

#5 - 03/03/2014 12:52 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#6 - 03/12/2014 11:04 AM - Dominic Cleal
http://fedoraproject.org/wiki/Packaging:Guidelines#Scriptlets
http://www.rpm.org/wiki/PackagerDocs/RpmLua
https://github.com/theforeman/foreman/pull/1261

- translation missing: en.field_release set to 4

#7 - 03/12/2014 11:31 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e639a808461a40e1{830d594e970258a52bef516.

#8 - 03/26/2014 01:05 PM - Ohad Levy

- translation missing: en.field_release changed from 4 to 9

please update the 1.4.x packages as well.

#9 - 04/18/2014 01:40 AM - Dominic Cleal

- translation missing: en.field_release changed from 9 to 4

#10 - 04/29/2014 09:07 AM - Dominic Cleal
- Related to Bug #5482: Errror when doing an rom based upgrade from 1.4.1 to 1.5.RC2 added

#11 - 05/07/2014 10:10 AM - Dominic Cleal

- translation missing: en.field_release changed from 4 to 17
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e639a808461a40e1f830d594e970258a52bef516
